"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("./index");
const form = new index_1.FormController({
    fields: {
        email: index_1.Str(true),
        password: index_1.Str(true),
        confirm: index_1.Str(true)
    },
    validators: {
        email: index_1.EmailValidator(),
        confirm: index_1.EqualWith("password")
    },
    submit: (data) => new Promise(resolve => {
        setTimeout(() => {
            resolve({
                email: "ERROR"
            });
        }, 1000);
    })
});
form.subscribe("pending", ({ pending }) => console.log(`Pending: ${pending}`));
form.subscribe("errors", console.log);
form.change("email", "aa@aa.aa");
form.change("password", "aa@aa.aa");
form.set("confirm", "2");
form.set("confirm", "aa@aa.aa");
form.submit();
//# sourceMappingURL=runner.js.map